<% if params[:task_type].eql?('main') %>
    $(".cat_row_<%= params[:type_id] %>").empty().append("<%= j render partial: '/checklists/edit_checklist', locals: { checklist: @subcategory, type: params[:task_type], is_marked: @is_marked } %>")
<% else %>
    $(".cat_row_<%= params[:type_id] %>").empty().append("<%= j render  partial: '/checklists/edit_checklist', locals: { checklist: @checklist, type: params[:task_type], is_marked: @is_marked } %>")
<% end %>

delete_checklist()
edit_checklist()
add_sub_checklist()
mark_checklist()
cancel_checklist_edit(is_checked)
